Name:           perl-Catalyst-Model-DBIC-Schema
Version:        0.23
Release:        3%{?dist}
Summary:        DBIx::Class::Schema Model Class
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Model-DBIC-Schema/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSTROUT/Catalyst-Model-DBIC-Schema-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Catalyst::Runtime)     >= 5.70
BuildRequires:  perl(Class::Accessor::Fast) >= 0.22
BuildRequires:  perl(Class::C3)             >= 0.20
BuildRequires:  perl(Class::C3::XS)         >= 0.08
BuildRequires:  perl(Class::Data::Accessor) >= 0.02
BuildRequires:  perl(DBIx::Class)           >= 0.07006
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(MRO::Compat)
BuildRequires:  perl(UNIVERSAL::require)    >= 0.10
# Catalyst::Helper::Model::DBIC support
BuildRequires:  perl(DBIx::Class::Schema::Loader) >= 0.03012
# optional tests
BuildRequires:  /usr/bin/catalyst.pl 
# author tests
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

# not automagically picked up
Requires:       perl(Catalyst::Runtime) >= 5.70
Requires:       perl(Class::Accessor::Fast) >= 0.22
Requires:       perl(Class::Data::Accessor) >= 0.02
# Catalyst::Helper::Model::DBIC support
Requires:       perl(DBIx::Class::Schema::Loader) >= 0.03012

%description
This is a Catalyst Model for DBIx::Class::Schema-based Models. See the
documentation for Catalyst::Helper::Model::DBIC::Schema for information on
generating these Models via Helper scripts.

%prep
%setup -q -n Catalyst-Model-DBIC-Schema-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
TEST_POD=1 C_M_DBIC_SCHEMA_TESTAPP=1 make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.23-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Apr 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.23-1
- update to 0.23

* Sat Apr 04 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.23-1
- update to 0.23

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.21-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Sep 09 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.21-2
- bump

* Tue Sep 09 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.21-1
- update to 0.21

* Tue Jul 22 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.20-2
- add DBIx::Class::Schema::Loader as a BR and R

* Sun Mar 30 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.20-1
- Specfile autogenerated by cpanspec 1.74.
